Loading...
Searching...
No Matches
caf::make_source_result< DownstreamManager, Ts > Class Template Reference

Returns a stream source with the slot ID of its first outbound path. More...

`#include <make_source_result.hpp>`

Inheritance diagram for caf::make_source_result< DownstreamManager, Ts >:

## Public Types

using | output_type = typename DownstreamManager::output_type
| Type of a single element.
using | source_type = stream_source<DownstreamManager>
| Fully typed stream manager as returned by make_source.
using | source_ptr_type = intrusive_ptr<source_type>
| Pointer to a fully typed stream manager.
using | stream_type = stream<output_type>
| The return type for scheduled_actor::make_stage.
using | handshake_arguments = std::tuple<Ts...>
| Type of user-defined handshake arguments.

## Public Member Functions

| make_source_result (stream_slot slot, source_ptr_type ptr) noexcept
| make_source_result (make_source_result &&)=default
| make_source_result (const make_source_result &)=default
make_source_result & | operator= (make_source_result &&)=default
make_source_result & | operator= (const make_source_result &)=default
stream_slot | outbound_slot () const noexcept
source_ptr_type & | ptr () noexcept
const source_ptr_type & | ptr () const noexcept

## Related Symbols

(Note that these are not member symbols.)
template<class DownstreamManager, class... Ts>
using | make_source_result_t

## Detailed Description

template<class DownstreamManager, class... Ts>
class caf::make_source_result< DownstreamManager, Ts >

Returns a stream source with the slot ID of its first outbound path.

## Friends And Related Symbol Documentation

## make_source_result_t

template<class DownstreamManager, class... Ts>
template<class DownstreamManager, class... Ts>

using make_source_result_t

related

Initial value:
make_source_result<DownstreamManager, detail::strip_and_convert_t<Ts>...>

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/make_source_result.hpp